-- ----------------------------------------------------------------------------
-- Add Saper to qo_modules
-- ----------------------------------------------------------------------------
INSERT INTO `qo_modules` (
        `directory`,
        `author`,
        `version`,
        `url`,
        `description`,
        `class_name`,
        `module_type`,
        `module_id`,
        `menu_path`,
        `launcher_icon_cls`,
        `launcher_shortcut_icon_cls`,
        `launcher_text`,
        `launcher_tooltip`,
        `active`,
        `preload`
) VALUES (
        'Saper/',
        'Andriy Levytskyy',
        '0.2.3',
        'https://extjs.com/forum/showthread.php?t=24335',
	'Like Minesweeper in Windows',
	'QoDesk.Saper',
	'saper',
	'saper-win',
        'StartMenu/Games',
        'saper-icon',
        'saper-shortcut',
        'Saper',
        '<b>Saper</b><br />Game like Minesweeper in Windows',
        1,
        0
);

-- ----------------------------------------------------------------------------
-- Add files to qo_modules_files & qo_modules_stylesheets
-- ----------------------------------------------------------------------------
insert into `qo_modules_files` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Saper/', 'saper.js'
from (select id from qo_modules where module_id like 'saper-win') m;

insert into `qo_modules_stylesheets` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Saper/', 'saper.css'
from (select id from qo_modules where module_id like 'saper-win') m;

-- ----------------------------------------------------------------------------
-- Add dependencies to qo_modules_dependencies
-- ----------------------------------------------------------------------------
insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Saper/locale/', 'saper-en.js'
from (select id from qo_modules where module_id like 'saper-win') m;

-- ----------------------------------------------------------------------------
-- Add modules to all group
-- ----------------------------------------------------------------------------
insert into `qo_groups_has_modules` (`qo_groups_id`, `qo_modules_id`, `active`)
select g.id, m.id, 1
from (select id from qo_groups) g
   , (select id from qo_modules where module_id like 'saper-win') m;